> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

> 列出组织中的所有 Devin 会话。

# 会话列表



## OpenAPI

````yaml zh/v1-openapi.yaml GET /v1/sessions
openapi: 3.1.0
info:
  description: Devin v1 API：个人 API key 与服务 API key
  title: Devin API v1
  version: 1.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v1/sessions:
    get:
      summary: 会话列表
      description: 列出你所在组织的所有 Devin 会话。支持分页，并可按标签和用户邮箱筛选。
      operationId: list_sessions_endpoint_v1_sessions_get
      parameters:
        - in: query
          name: limit
          required: false
          schema:
            default: 100
            title: Limit
            type: integer
        - in: query
          name: offset
          required: false
          schema:
            default: 0
            title: Offset
            type: integer
        - in: query
          name: skip
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Skip
        - description: 用于筛选会话的标签列表。
          in: query
          name: tags
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: 用于筛选会话的标签列表。
            title: Tags
        - description: 根据创建者的邮箱地址筛选会话。
          in: query
          name: user_email
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: 按会话创建者的邮箱地址筛选会话。
            title: User Email
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListSessionsResponse'
          description: 成功响应
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 验证错误
components:
  schemas:
    ListSessionsResponse:
      description: 包含会话列表的响应。
      properties:
        sessions:
          items:
            $ref: '#/components/schemas/SessionSummary'
          title: Sessions
          type: array
      required:
        - sessions
      title: ListSessionsResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    SessionSummary:
      description: 用于列表响应的会话概要信息。
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        playbook_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Playbook Id
        pull_request:
          anyOf:
            - $ref: '#/components/schemas/PullRequestInfo'
            - type: 'null'
        requesting_user_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Requesting User Email
        session_id:
          title: Session Id
          type: string
        snapshot_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Snapshot Id
        status:
          title: Status
          type: string
        status_enum:
          anyOf:
            - enum:
                - working
                - blocked
                - expired
                - finished
                - suspend_requested
                - suspend_requested_frontend
                - resume_requested
                - resume_requested_frontend
                - resumed
              type: string
            - type: 'null'
          title: Status Enum
        structured_output:
          anyOf:
            - {}
            - type: 'null'
          title: Structured Output
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - session_id
        - status
        - created_at
        - updated_at
      title: SessionSummary
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    PullRequestInfo:
      description: 与会话关联的拉取请求信息。
      properties:
        url:
          title: Url
          type: string
      required:
        - url
      title: PullRequestInfo
      type: object
  securitySchemes:
    bearerAuth:
      description: 个人 API Key（apk_user_\*）或服务 API Key（apk_\*）
      scheme: bearer
      type: http

````